| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfONS Struct Reference
Subscriber Features

One Number Service. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
enum unsp__ONSType * | ONSType
| The type of ONS service to be provided. More...
unsp__ServiceId | OsmoServiceID
| The Mobile DN of a Mobile Deskphone subscriber. More...
struct unsp__StaticOND * | StaticOND
| Static OND data. More...
struct unsp__CfONS_locPres * | Local
| Local Presence flags. More...

## Detailed Description

One Number Service.

The One Number Service via Associated Devices (CfONS) provides the service for the subscriber to originate and receive calls using an associated device other than the subscriber's own DN. The associated devices could be the home phone, cell phone, and so on, and the devices could be resided outside of the OpenScape Voice platform. ONS Outbound allows calls to be originated from an associated device, and ONS Inbound allows calls to be received at an associated device. For ONS Inbound, the incoming call is offered to an application for routing instructions, and the application can accept the call at the subscriber's registered device, or specify an associated device to receive the call. In either variant, only the subscriber DN is made known to the other party regardless of whether any of the associated devices are in use. This service is applies only to SIP subscribers. It is required to have the CSTA service before it can assign the One Number Service to the subscriber.
MP2 command: CFONS [Attributes]

## Member Data Documentation

## ◆ Enabled

unsp__Enabled* unsp__CfONS::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfONS_locPres* unsp__CfONS::Local

Local Presence flags.

## ◆ ONSType

enum unsp__ONSType* unsp__CfONS::ONSType

The type of ONS service to be provided.

required: false
default value[range]: InboundAndOutbound

## ◆ OsmoServiceID

unsp__ServiceId unsp__CfONS::OsmoServiceID

The Mobile DN of a Mobile Deskphone subscriber.

Mobile Deskphone subscribers are automatically assigned with the ONS feature.
Read Only

## ◆ StaticOND

struct unsp__StaticOND* unsp__CfONS::StaticOND

Static OND data.

required: false

## ◆ Subscribed

enum unsp__Subscribed unsp__CfONS::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h